/*
 React
 react-dom-server-legacy.node.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var aa=require("react"),ba=require("react-dom"),ea=require("stream"),fa=Symbol.for("react.element"),ha=Symbol.for("react.portal"),ma=Symbol.for("react.fragment"),na=Symbol.for("react.strict_mode"),oa=Symbol.for("react.profiler"),za=Symbol.for("react.provider"),Aa=Symbol.for("react.consumer"),Ba=Symbol.for("react.context"),Ca=Symbol.for("react.forward_ref"),Da=Symbol.for("react.suspense"),Ea=Symbol.for("react.suspense_list"),Fa=Symbol.for("react.memo"),Ma=Symbol.for("react.lazy"),Na=Symbol.for("react.scope"),
Oa=Symbol.for("react.debug_trace_mode"),Pa=Symbol.for("react.offscreen"),Qa=Symbol.for("react.legacy_hidden"),Ra=Symbol.for("react.memo_cache_sentinel"),cb=Symbol.for("react.postpone"),jb=Symbol.iterator,kb=Array.isArray;
function lb(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var u=Object.assign,y=Object.prototype.hasOwnProperty,mb=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),nb={},ob={};
function pb(a){if(y.call(ob,a))return!0;if(y.call(nb,a))return!1;if(mb.test(a))return ob[a]=!0;nb[a]=!0;return!1}
var qb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),rb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),sb=/["'&<>]/;
function A(a){if("boolean"===typeof a||"number"===typeof a||"bigint"===typeof a)return""+a;a=""+a;var b=sb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var tb=/([A-Z])/g,ub=/^ms-/,Hb=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function Ib(a){return Hb.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var Jb=aa.__CLIENT_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,Kb=ba.__DOM_INTERNALS_DO_NOT_USE_OR_WARN_USERS_THEY_CANNOT_UPGRADE,Lb={pending:!1,data:null,method:null,action:null},Mb=Kb.d;Kb.d={f:Mb.f,r:Mb.r,D:Nb,C:Ob,L:Pb,m:Qb,X:Rb,S:Sb,M:Tb};var C=[],Ub=/(<\/|<)(s)(cript)/gi;function Vb(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}
function Wb(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function H(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function Xb(a){return H("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function Yb(a,b,c){switch(b){case "noscript":return H(2,null,a.tagScope|1);case "select":return H(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return H(3,null,a.tagScope);case "picture":return H(2,null,a.tagScope|2);case "math":return H(4,null,a.tagScope);case "foreignObject":return H(2,null,a.tagScope);case "table":return H(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return H(6,null,a.tagScope);case "colgroup":return H(8,null,a.tagScope);case "tr":return H(7,null,a.tagScope)}return 5<=
a.insertionMode?H(2,null,a.tagScope):0===a.insertionMode?"html"===b?H(1,null,a.tagScope):H(2,null,a.tagScope):1===a.insertionMode?H(2,null,a.tagScope):a}var Zb=new Map;
function $b(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(y.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=A(d);e=A((""+e).trim())}else f=Zb.get(d),void 0===f&&(f=A(d.replace(tb,"-$1").toLowerCase().replace(ub,"-ms-")),Zb.set(d,f)),e="number"===typeof e?0===e||qb.has(d)?""+e:e+"px":
A((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function ac(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function J(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',A(c),'"')}var bc=A("javascript:throw new Error('React form unexpectedly submitted.')");
function cc(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");J(this,"name",b);J(this,"value",a);this.push("/>")}function dc(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function ec(a,b,c,d,e,f,g,k){var h=null;if("function"===typeof d){var l=dc(b,d);null!==l?(k=l.name,d=l.action||"",e=l.encType,f=l.method,g=l.target,h=l.data):(a.push(" ","formAction",'="',bc,'"'),g=f=e=d=k=null,fc(b,c))}null!=k&&K(a,"name",k);null!=d&&K(a,"formAction",d);null!=e&&K(a,"formEncType",e);null!=f&&K(a,"formMethod",f);null!=g&&K(a,"formTarget",g);return h}
function K(a,b,c){switch(b){case "className":J(a,"class",c);break;case "tabIndex":J(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":J(a,b,c);break;case "style":$b(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Ib(""+c);a.push(" ",b,'="',A(c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":ac(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Ib(""+c);a.push(" ","xlink:href",'="',A(c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',A(c),'"');break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',A(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',A(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',A(c),'"');break;case "xlinkActuate":J(a,"xlink:actuate",
c);break;case "xlinkArcrole":J(a,"xlink:arcrole",c);break;case "xlinkRole":J(a,"xlink:role",c);break;case "xlinkShow":J(a,"xlink:show",c);break;case "xlinkTitle":J(a,"xlink:title",c);break;case "xlinkType":J(a,"xlink:type",c);break;case "xmlBase":J(a,"xml:base",c);break;case "xmlLang":J(a,"xml:lang",c);break;case "xmlSpace":J(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=rb.get(b)||b,pb(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',A(c),'"')}}}function L(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function uc(a){var b="";aa.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function fc(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});',"\x3c/script>"))}
function N(a,b){a.push(P("link"));for(var c in b)if(y.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:K(a,c,d)}}a.push("/>");return null}
function vc(a,b,c){a.push(P(c));for(var d in b)if(y.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:K(a,d,e)}}a.push("/>");return null}
function wc(a,b){a.push(P("title"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(A(""+b));L(a,d,c);a.push(xc("title"));return null}
function yc(a,b){a.push(P("script"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");L(a,d,c);"string"===typeof c&&a.push(A(c));a.push(xc("script"));return null}
function zc(a,b,c){a.push(P(c));var d=c=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");L(a,d,c);return"string"===typeof c?(a.push(A(c)),null):c}var Ac=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,Bc=new Map;function P(a){var b=Bc.get(a);if(void 0===b){if(!Ac.test(a))throw Error("Invalid tag: "+a);b="<"+a;Bc.set(a,b)}return b}
function Cc(a,b,c,d,e,f,g,k,h){switch(b){case "div":case "span":case "svg":case "path":break;case "a":a.push(P("a"));var l=null,n=null,m;for(m in c)if(y.call(c,m)){var p=c[m];if(null!=p)switch(m){case "children":l=p;break;case "dangerouslySetInnerHTML":n=p;break;case "href":""===p?J(a,"href",""):K(a,m,p);break;default:K(a,m,p)}}a.push(">");L(a,n,l);if("string"===typeof l){a.push(A(l));var r=null}else r=l;return r;case "g":case "p":case "li":break;case "select":a.push(P("select"));var B=null,v=null,
x;for(x in c)if(y.call(c,x)){var w=c[x];if(null!=w)switch(x){case "children":B=w;break;case "dangerouslySetInnerHTML":v=w;break;case "defaultValue":case "value":break;default:K(a,x,w)}}a.push(">");L(a,v,B);return B;case "option":var q=g.selectedValue;a.push(P("option"));var E=null,D=null,t=null,z=null,F;for(F in c)if(y.call(c,F)){var G=c[F];if(null!=G)switch(F){case "children":E=G;break;case "selected":t=G;break;case "dangerouslySetInnerHTML":z=G;break;case "value":D=G;default:K(a,F,G)}}if(null!=
q){var vb=null!==D?""+D:uc(E);if(kb(q))for(var pa=0;pa<q.length;pa++){if(""+q[pa]===vb){a.push(' selected=""');break}}else""+q===vb&&a.push(' selected=""')}else t&&a.push(' selected=""');a.push(">");L(a,z,E);return E;case "textarea":a.push(P("textarea"));var O=null,Sa=null,ia=null,qa;for(qa in c)if(y.call(c,qa)){var Q=c[qa];if(null!=Q)switch(qa){case "children":ia=Q;break;case "value":O=Q;break;case "defaultValue":Sa=Q;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");
default:K(a,qa,Q)}}null===O&&null!==Sa&&(O=Sa);a.push(">");if(null!=ia){if(null!=O)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(kb(ia)){if(1<ia.length)throw Error("<textarea> can only have at most one child.");O=""+ia[0]}O=""+ia}"string"===typeof O&&"\n"===O[0]&&a.push("\n");null!==O&&a.push(A(""+O));return null;case "input":a.push(P("input"));var ra=null,ca=null,Ga=null,sa=null,Ta=null,ja=null,gc=null,hc=null,ic=null,Ua;for(Ua in c)if(y.call(c,Ua)){var V=
c[Ua];if(null!=V)switch(Ua){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":ra=V;break;case "formAction":ca=V;break;case "formEncType":Ga=V;break;case "formMethod":sa=V;break;case "formTarget":Ta=V;break;case "defaultChecked":ic=V;break;case "defaultValue":gc=V;break;case "checked":hc=V;break;case "value":ja=V;break;default:K(a,Ua,V)}}var pd=ec(a,d,e,ca,Ga,sa,Ta,ra);null!==hc?
ac(a,"checked",hc):null!==ic&&ac(a,"checked",ic);null!==ja?K(a,"value",ja):null!==gc&&K(a,"value",gc);a.push("/>");null!=pd&&pd.forEach(cc,a);return null;case "button":a.push(P("button"));var Va=null,qd=null,rd=null,sd=null,td=null,ud=null,vd=null,Wa;for(Wa in c)if(y.call(c,Wa)){var da=c[Wa];if(null!=da)switch(Wa){case "children":Va=da;break;case "dangerouslySetInnerHTML":qd=da;break;case "name":rd=da;break;case "formAction":sd=da;break;case "formEncType":td=da;break;case "formMethod":ud=da;break;
case "formTarget":vd=da;break;default:K(a,Wa,da)}}var wd=ec(a,d,e,sd,td,ud,vd,rd);a.push(">");null!=wd&&wd.forEach(cc,a);L(a,qd,Va);if("string"===typeof Va){a.push(A(Va));var xd=null}else xd=Va;return xd;case "form":a.push(P("form"));var Xa=null,yd=null,ta=null,Ya=null,Za=null,$a=null,ab;for(ab in c)if(y.call(c,ab)){var ka=c[ab];if(null!=ka)switch(ab){case "children":Xa=ka;break;case "dangerouslySetInnerHTML":yd=ka;break;case "action":ta=ka;break;case "encType":Ya=ka;break;case "method":Za=ka;break;
case "target":$a=ka;break;default:K(a,ab,ka)}}var jc=null,kc=null;if("function"===typeof ta){var ua=dc(d,ta);null!==ua?(ta=ua.action||"",Ya=ua.encType,Za=ua.method,$a=ua.target,jc=ua.data,kc=ua.name):(a.push(" ","action",'="',bc,'"'),$a=Za=Ya=ta=null,fc(d,e))}null!=ta&&K(a,"action",ta);null!=Ya&&K(a,"encType",Ya);null!=Za&&K(a,"method",Za);null!=$a&&K(a,"target",$a);a.push(">");null!==kc&&(a.push('<input type="hidden"'),J(a,"name",kc),a.push("/>"),null!=jc&&jc.forEach(cc,a));L(a,yd,Xa);if("string"===
typeof Xa){a.push(A(Xa));var zd=null}else zd=Xa;return zd;case "menuitem":a.push(P("menuitem"));for(var wb in c)if(y.call(c,wb)){var Ad=c[wb];if(null!=Ad)switch(wb){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:K(a,wb,Ad)}}a.push(">");return null;case "title":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var lc=wc(a,c);else h?lc=null:(wc(e.hoistableChunks,c),lc=void 0);return lc;case "link":var cf=c.rel,
la=c.href,xb=c.precedence;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof cf||"string"!==typeof la||""===la){N(a,c);var bb=null}else if("stylesheet"===c.rel)if("string"!==typeof xb||null!=c.disabled||c.onLoad||c.onError)bb=N(a,c);else{var Ha=e.styles.get(xb),yb=d.styleResources.hasOwnProperty(la)?d.styleResources[la]:void 0;if(null!==yb){d.styleResources[la]=null;Ha||(Ha={precedence:A(xb),rules:[],hrefs:[],sheets:new Map},e.styles.set(xb,Ha));var zb={state:0,props:u({},c,
{"data-precedence":c.precedence,precedence:null})};if(yb){2===yb.length&&Dc(zb.props,yb);var mc=e.preloads.stylesheets.get(la);mc&&0<mc.length?mc.length=0:zb.state=1}Ha.sheets.set(la,zb);f&&f.stylesheets.add(zb)}else if(Ha){var Bd=Ha.sheets.get(la);Bd&&f&&f.stylesheets.add(Bd)}k&&a.push("\x3c!-- --\x3e");bb=null}else c.onLoad||c.onError?bb=N(a,c):(k&&a.push("\x3c!-- --\x3e"),bb=h?null:N(e.hoistableChunks,c));return bb;case "script":var nc=c.async;if("string"!==typeof c.src||!c.src||!nc||"function"===
typeof nc||"symbol"===typeof nc||c.onLoad||c.onError||3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Cd=yc(a,c);else{var Ab=c.src;if("module"===c.type){var Bb=d.moduleScriptResources;var Dd=e.preloads.moduleScripts}else Bb=d.scriptResources,Dd=e.preloads.scripts;var Cb=Bb.hasOwnProperty(Ab)?Bb[Ab]:void 0;if(null!==Cb){Bb[Ab]=null;var oc=c;if(Cb){2===Cb.length&&(oc=u({},c),Dc(oc,Cb));var Ed=Dd.get(Ab);Ed&&(Ed.length=0)}var Fd=[];e.scripts.add(Fd);yc(Fd,oc)}k&&a.push("\x3c!-- --\x3e");Cd=null}return Cd;
case "style":var Db=c.precedence,va=c.href;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Db||"string"!==typeof va||""===va){a.push(P("style"));var Ia=null,Gd=null,db;for(db in c)if(y.call(c,db)){var Eb=c[db];if(null!=Eb)switch(db){case "children":Ia=Eb;break;case "dangerouslySetInnerHTML":Gd=Eb;break;default:K(a,db,Eb)}}a.push(">");var eb=Array.isArray(Ia)?2>Ia.length?Ia[0]:null:Ia;"function"!==typeof eb&&"symbol"!==typeof eb&&null!==eb&&void 0!==eb&&a.push(A(""+eb));L(a,
Gd,Ia);a.push(xc("style"));var Hd=null}else{var wa=e.styles.get(Db);if(null!==(d.styleResources.hasOwnProperty(va)?d.styleResources[va]:void 0)){d.styleResources[va]=null;wa?wa.hrefs.push(A(va)):(wa={precedence:A(Db),rules:[],hrefs:[A(va)],sheets:new Map},e.styles.set(Db,wa));var Id=wa.rules,Ja=null,Jd=null,Fb;for(Fb in c)if(y.call(c,Fb)){var pc=c[Fb];if(null!=pc)switch(Fb){case "children":Ja=pc;break;case "dangerouslySetInnerHTML":Jd=pc}}var fb=Array.isArray(Ja)?2>Ja.length?Ja[0]:null:Ja;"function"!==
typeof fb&&"symbol"!==typeof fb&&null!==fb&&void 0!==fb&&Id.push(A(""+fb));L(Id,Jd,Ja)}wa&&f&&f.styles.add(wa);k&&a.push("\x3c!-- --\x3e");Hd=void 0}return Hd;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Kd=vc(a,c,"meta");else k&&a.push("\x3c!-- --\x3e"),Kd=h?null:"string"===typeof c.charSet?vc(e.charsetChunks,c,"meta"):"viewport"===c.name?vc(e.viewportChunks,c,"meta"):vc(e.hoistableChunks,c,"meta");return Kd;case "listing":case "pre":a.push(P(b));var gb=null,hb=null,ib;
for(ib in c)if(y.call(c,ib)){var Gb=c[ib];if(null!=Gb)switch(ib){case "children":gb=Gb;break;case "dangerouslySetInnerHTML":hb=Gb;break;default:K(a,ib,Gb)}}a.push(">");if(null!=hb){if(null!=gb)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof hb||!("__html"in hb))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");var xa=hb.__html;
null!==xa&&void 0!==xa&&("string"===typeof xa&&0<xa.length&&"\n"===xa[0]?a.push("\n",xa):a.push(""+xa))}"string"===typeof gb&&"\n"===gb[0]&&a.push("\n");return gb;case "img":var M=c.src,I=c.srcSet;if(!("lazy"===c.loading||!M&&!I||"string"!==typeof M&&null!=M||"string"!==typeof I&&null!=I)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&3)&&("string"!==typeof M||":"!==M[4]||"d"!==M[0]&&"D"!==M[0]||"a"!==M[1]&&"A"!==M[1]||"t"!==M[2]&&"T"!==M[2]||"a"!==M[3]&&"A"!==M[3])&&("string"!==typeof I||":"!==I[4]||
"d"!==I[0]&&"D"!==I[0]||"a"!==I[1]&&"A"!==I[1]||"t"!==I[2]&&"T"!==I[2]||"a"!==I[3]&&"A"!==I[3])){var Ld="string"===typeof c.sizes?c.sizes:void 0,Ka=I?I+"\n"+(Ld||""):M,qc=e.preloads.images,ya=qc.get(Ka);if(ya){if("high"===c.fetchPriority||10>e.highImagePreloads.size)qc.delete(Ka),e.highImagePreloads.add(ya)}else if(!d.imageResources.hasOwnProperty(Ka)){d.imageResources[Ka]=C;var rc=c.crossOrigin;var Md="string"===typeof rc?"use-credentials"===rc?rc:"":void 0;var Y=e.headers,sc;Y&&0<Y.remainingCapacity&&
("high"===c.fetchPriority||500>Y.highImagePreloads.length)&&(sc=Ec(M,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:Md,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(Y.remainingCapacity-=sc.length))?(e.resets.image[Ka]=C,Y.highImagePreloads&&(Y.highImagePreloads+=", "),Y.highImagePreloads+=sc):(ya=[],N(ya,{rel:"preload",as:"image",href:I?void 0:M,imageSrcSet:I,imageSizes:Ld,crossOrigin:Md,integrity:c.integrity,type:c.type,
fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(ya):(e.bulkPreloads.add(ya),qc.set(Ka,ya)))}}return vc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return vc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;
case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var Nd=zc(e.headChunks,c,"head")}else Nd=zc(a,c,"head");return Nd;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Od=zc(e.htmlChunks,c,"html")}else Od=zc(a,c,"html");return Od;default:if(-1!==b.indexOf("-")){a.push(P(b));var tc=null,Pd=null,La;for(La in c)if(y.call(c,La)){var W=c[La];if(null!=W){var Qd=La;switch(La){case "children":tc=W;break;case "dangerouslySetInnerHTML":Pd=W;break;case "style":$b(a,
W);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;case "className":Qd="class";default:if(pb(La)&&"function"!==typeof W&&"symbol"!==typeof W&&!1!==W){if(!0===W)W="";else if("object"===typeof W)continue;a.push(" ",Qd,'="',A(W),'"')}}}}a.push(">");L(a,Pd,tc);return tc}}return zc(a,c,b)}var Fc=new Map;function xc(a){var b=Fc.get(a);void 0===b&&(b="</"+a+">",Fc.set(a,b));return b}
function Gc(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}function Hc(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Ic(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Jc(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var Kc=/[<\u2028\u2029]/g;
function Lc(a){return JSON.stringify(a).replace(Kc,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Mc=/[&><\u2028\u2029]/g;
function Nc(a){return JSON.stringify(a).replace(Mc,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Oc=!1,Pc=!0;
function Qc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);Pc=this.push("</style>");Oc=!0;b.length=0;c.length=0}}function Rc(a){return 2!==a.state?Oc=!0:!1}function Sc(a,b,c){Oc=!1;Pc=!0;b.styles.forEach(Qc,a);b.stylesheets.forEach(Rc);Oc&&(c.stylesToHoist=!0);return Pc}
function R(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var Tc=[];function Uc(a){N(Tc,a.props);for(var b=0;b<Tc.length;b++)this.push(Tc[b]);Tc.length=0;a.state=2}
function Vc(a){var b=0<a.sheets.size;a.sheets.forEach(Uc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function Wc(a){if(0===a.state){a.state=1;var b=a.props;N(Tc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<Tc.length;a++)this.push(Tc[a]);Tc.length=0}}function Xc(a){a.sheets.forEach(Wc,this);a.sheets.clear()}
function Yc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=Nc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Ib(""+d.props.href);g=Nc(g);a.push(g);e=""+e;a.push(",");e=Nc(e);a.push(e);for(var k in f)if(y.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Zc(a,k,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Zc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Ib(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!pb(b))return;b=""+c}a.push(",");d=Nc(d);a.push(d);
a.push(",");d=Nc(b);a.push(d)}
function $c(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=A(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Ib(""+d.props.href);g=A(JSON.stringify(g));a.push(g);e=""+e;a.push(",");e=A(JSON.stringify(e));a.push(e);for(var k in f)if(y.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:ad(a,k,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function ad(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Ib(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!pb(b))return;b=""+c}a.push(",");d=A(JSON.stringify(d));
a.push(d);a.push(",");d=A(JSON.stringify(b));a.push(d)}function bd(){return{styles:new Set,stylesheets:new Set}}
function Nb(a){var b=S?S:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(cd,dd)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],N(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}ed(b)}}else Mb.D(a)}
function Ob(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,k;if(k=d&&0<d.remainingCapacity){k="<"+(""+a).replace(cd,dd)+">; rel=preconnect";if("string"===typeof b){var h=(""+b).replace(fd,gd);k+='; crossorigin="'+h+'"'}k=(g=k,2<=(d.remainingCapacity-=g.length))}k?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],N(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}ed(c)}}else Mb.C(a,b)}
function Pb(a,b,c){var d=S?S:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var k=c.imageSizes;var h=c.fetchPriority}var l=g?g+"\n"+(k||""):a;if(e.imageResources.hasOwnProperty(l))return;e.imageResources[l]=C;e=f.headers;var n;e&&0<e.remainingCapacity&&"high"===h&&(n=Ec(a,b,c),2<=(e.remainingCapacity-=n.length))?(f.resets.image[l]=C,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=n):(e=[],N(e,u({rel:"preload",href:g?
void 0:a,as:b},c)),"high"===h?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(l,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];N(g,u({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
N(g,u({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=C;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(l=Ec(a,b,c),2<=(e.remainingCapacity-=l.length)))f.resets.font[a]=C,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=l;else switch(e=[],
a=u({rel:"preload",href:a,as:b},c),N(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}ed(d)}}else Mb.L(a,b,c)}
function Qb(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?C:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=C}N(f,u({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);ed(c)}}else Mb.m(a,b)}
function Sb(a,b,c){var d=S?S:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),k=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==k&&(e.styleResources[a]=null,g||(g={precedence:A(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:u({rel:"stylesheet",href:a,"data-precedence":b},c)},k&&(2===k.length&&Dc(b.props,k),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),ed(d))}}else Mb.S(a,
b,c)}function Rb(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=u({src:a,async:!0},b),f&&(2===f.length&&Dc(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),yc(a,b),ed(c))}}else Mb.X(a,b)}
function Tb(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=u({src:a,type:"module",async:!0},b),f&&(2===f.length&&Dc(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),yc(a,b),ed(c))}}else Mb.M(a,b)}function Dc(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function Ec(a,b,c){a=(""+a).replace(cd,dd);b=(""+b).replace(fd,gd);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)y.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(fd,gd)+'"'));return b}var cd=/[<>\r\n]/g;
function dd(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var fd=/["';,\r\n]/g;
function gd(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function hd(a){this.styles.add(a)}function id(a){this.stylesheets.add(a)}
function jd(a,b){var c=a.idPrefix,d=[],e=a.bootstrapScriptContent,f=a.bootstrapScripts,g=a.bootstrapModules;void 0!==e&&d.push("<script>",(""+e).replace(Ub,Vb),"\x3c/script>");e=c+"P:";var k=c+"S:";c+="B:";var h=new Set,l=new Set,n=new Set,m=new Map,p=new Set,r=new Set,B=new Set,v={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};if(void 0!==f)for(var x=0;x<f.length;x++){var w=f[x],q,E=void 0,D=void 0,t={rel:"preload",as:"script",fetchPriority:"low",nonce:void 0};"string"===
typeof w?t.href=q=w:(t.href=q=w.src,t.integrity=D="string"===typeof w.integrity?w.integrity:void 0,t.crossOrigin=E="string"===typeof w||null==w.crossOrigin?void 0:"use-credentials"===w.crossOrigin?"use-credentials":"");w=a;var z=q;w.scriptResources[z]=null;w.moduleScriptResources[z]=null;w=[];N(w,t);p.add(w);d.push('<script src="',A(q));"string"===typeof D&&d.push('" integrity="',A(D));"string"===typeof E&&d.push('" crossorigin="',A(E));d.push('" async="">\x3c/script>')}if(void 0!==g)for(f=0;f<g.length;f++)t=
g[f],E=q=void 0,D={rel:"modulepreload",fetchPriority:"low",nonce:void 0},"string"===typeof t?D.href=x=t:(D.href=x=t.src,D.integrity=E="string"===typeof t.integrity?t.integrity:void 0,D.crossOrigin=q="string"===typeof t||null==t.crossOrigin?void 0:"use-credentials"===t.crossOrigin?"use-credentials":""),t=a,w=x,t.scriptResources[w]=null,t.moduleScriptResources[w]=null,t=[],N(t,D),p.add(t),d.push('<script type="module" src="',A(x)),"string"===typeof E&&d.push('" integrity="',A(E)),"string"===typeof q&&
d.push('" crossorigin="',A(q)),d.push('" async="">\x3c/script>');return{placeholderPrefix:e,segmentPrefix:k,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:d,importMapChunks:[],onHeaders:void 0,headers:null,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:h,fontPreloads:l,highImagePreloads:n,styles:m,bootstrapScripts:p,
scripts:r,bulkPreloads:B,preloads:v,stylesToHoist:!1,generateStaticMarkup:b}}function kd(a,b,c,d){if(c.generateStaticMarkup)return a.push(A(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(A(b)),a=!0);return a}var ld=Symbol.for("react.client.reference");
function md(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===ld?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case ma:return"Fragment";case ha:return"Portal";case oa:return"Profiler";case na:return"StrictMode";case Da:return"Suspense";case Ea:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case Ba:return(a.displayName||"Context")+".Provider";case Aa:return(a._context.displayName||"Context")+".Consumer";case Ca:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Fa:return b=a.displayName||null,null!==b?b:md(a.type)||"Memo";case Ma:b=a._payload;a=a._init;try{return md(a(b))}catch(c){}}return null}var nd={},od=null;
function Rd(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Rd(a,c)}b.context._currentValue2=b.value}}function Sd(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&Sd(a)}
function Td(a){var b=a.parent;null!==b&&Td(b);a.context._currentValue2=a.value}function Ud(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Rd(a,b):Ud(a,b)}
function Vd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Rd(a,c):Vd(a,c);b.context._currentValue2=b.value}function Wd(a){var b=od;b!==a&&(null===b?Td(a):null===a?Sd(b):b.depth===a.depth?Rd(b,a):b.depth>a.depth?Ud(b,a):Vd(b,a),od=a)}
var Xd={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Yd={id:1,overflow:""};function Zd(a,b,c){var d=a.id;a=a.overflow;var e=32-$d(d)-1;d&=~(1<<e);c+=1;var f=32-$d(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-$d(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var $d=Math.clz32?Math.clz32:ae,be=Math.log,ce=Math.LN2;function ae(a){a>>>=0;return 0===a?32:31-(be(a)/ce|0)|0}var de=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function ee(){}
function fe(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(ee,ee),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:"string"===typeof b.status?b.then(ee,ee):(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}));switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}ge=b;throw de;}}var ge=null;
function he(){if(null===ge)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=ge;ge=null;return a}function ie(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var je="function"===typeof Object.is?Object.is:ie,ke=null,le=null,me=null,ne=null,oe=null,T=null,pe=!1,qe=!1,re=0,se=0,te=-1,ue=0,ve=null,we=null,xe=0;
function ye(){if(null===ke)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return ke}
function ze(){if(0<xe)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function Ae(){null===T?null===oe?(pe=!1,oe=T=ze()):(pe=!0,T=oe):null===T.next?(pe=!1,T=T.next=ze()):(pe=!0,T=T.next);return T}function Be(){var a=ve;ve=null;return a}function Ce(){ne=me=le=ke=null;qe=!1;oe=null;xe=0;T=we=null}function De(a,b){return"function"===typeof b?b(a):b}
function Ee(a,b,c){ke=ye();T=Ae();if(pe){var d=T.queue;b=d.dispatch;if(null!==we&&(c=we.get(d),void 0!==c)){we.delete(d);d=T.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);T.memoizedState=d;return[d,b]}return[T.memoizedState,b]}a=a===De?"function"===typeof b?b():b:void 0!==c?c(b):b;T.memoizedState=a;a=T.queue={last:null,dispatch:null};a=a.dispatch=Fe.bind(null,ke,a);return[T.memoizedState,a]}
function Ge(a,b){ke=ye();T=Ae();b=void 0===b?null:b;if(null!==T){var c=T.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!je(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();T.memoizedState=[a,b];return a}
function Fe(a,b,c){if(25<=xe)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===ke)if(qe=!0,a={action:c,next:null},null===we&&(we=new Map),c=we.get(b),void 0===c)we.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function He(){throw Error("A function wrapped in useEffectEvent can't be called during rendering.");}function Ie(){throw Error("startTransition cannot be called during server rendering.");}
function Je(){throw Error("Cannot update optimistic state while rendering.");}
function Ke(a,b,c){ye();var d=se++,e=me;if("function"===typeof a.$$FORM_ACTION){var f=null,g=ne;e=e.formState;var k=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof k){var h=e[1];k.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+lb(JSON.stringify([g,null,d]),0),h===f&&(te=d,b=e[0]))}var l=a.bind(null,b);a=function(m){l(m)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(m){m=l.$$FORM_ACTION(m);void 0!==c&&(c+="",m.action=c);var p=m.data;p&&(null===f&&(f=void 0!==c?"p"+c:"k"+lb(JSON.stringify([g,
null,d]),0)),p.append("$ACTION_KEY",f));return m});return[b,a,!1]}var n=a.bind(null,b);return[b,function(m){n(m)},!1]}function Le(a){var b=ue;ue+=1;null===ve&&(ve=[]);return fe(ve,a,b)}function Me(){throw Error("Cache cannot be refreshed during server rendering.");}function Ne(){}
var Pe={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Le(a);if(a.$$typeof===Ba)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){ye();return a._currentValue2},useMemo:Ge,useReducer:Ee,useRef:function(a){ke=ye();T=Ae();var b=T.memoizedState;return null===b?(a={current:a},T.memoizedState=a):b},useState:function(a){return Ee(De,a)},useInsertionEffect:Ne,
useLayoutEffect:Ne,useCallback:function(a,b){return Ge(function(){return a},b)},useImperativeHandle:Ne,useEffect:Ne,useDebugValue:Ne,useDeferredValue:function(a,b){ye();return void 0!==b?b:a},useTransition:function(){ye();return[!1,Ie]},useId:function(){var a=le.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-$d(a)-1)).toString(32)+b;var c=Oe;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=re++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+
b.toString(32));return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Me},useEffectEvent:function(){return He},useMemoCache:function(a){for(var b=Array(a),c=0;c<a;c++)b[c]=Ra;return b},useHostTransitionStatus:function(){ye();return Lb},useOptimistic:function(a){ye();return[a,Je]}};Pe.useFormState=Ke;Pe.useActionState=Ke;
var Oe=null,Qe={getCacheForType:function(){throw Error("Not implemented.");}},Re;function Se(a){if(void 0===Re)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Re=b&&b[1]||""}return"\n"+Re+a}var Te=!1;
function Ue(a,b){if(!a||Te)return"";Te=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var m=function(){throw Error();};Object.defineProperty(m.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(m,[])}catch(r){var p=r}Reflect.construct(a,[],m)}else{try{m.call()}catch(r){p=r}a.call(m.prototype)}}else{try{throw Error();}catch(r){p=r}(m=a())&&"function"===typeof m.catch&&
m.catch(function(){})}}catch(r){if(r&&p&&"string"===typeof r.stack)return[r.stack,p.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],k=f[1];if(g&&k){var h=g.split("\n"),l=k.split("\n");for(e=d=0;d<h.length&&!h[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<l.length&&!l[e].includes("DetermineComponentFrameRoot");)e++;if(d===h.length||e===l.length)for(d=h.length-1,e=l.length-1;1<=d&&0<=e&&h[d]!==l[e];)e--;for(;1<=d&&0<=e;d--,e--)if(h[d]!==l[e]){if(1!==d||1!==e){do if(d--,e--,0>e||h[d]!==l[e]){var n="\n"+h[d].replace(" at new "," at ");a.displayName&&n.includes("<anonymous>")&&(n=n.replace("<anonymous>",a.displayName));return n}while(1<=d&&0<=e)}break}}}finally{Te=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Se(c):""}
function Ve(a){console.error(a);return null}function We(){}
function Xe(a,b,c,d,e,f,g,k,h,l,n,m){var p=[],r=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:r,pingedTasks:p,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Ve:f,onPostpone:void 0===n?We:n,onAllReady:void 0===g?We:g,onShellReady:void 0===
k?We:k,onShellError:void 0===h?We:h,onFatalError:void 0===l?We:l,formState:void 0===m?null:m};c=Ye(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Ze(b,null,a,-1,null,c,null,r,null,d,nd,null,Yd,null,!1);p.push(a);return b}var S=null;function $e(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,af(a))}
function bf(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:bd(),fallbackState:bd(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Ze(a,b,c,d,e,f,g,k,h,l,n,m,p,r,B){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return $e(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:k,keyPath:h,formatContext:l,legacyContext:n,context:m,treeContext:p,componentStack:r,thenableState:b,isFallback:B};k.add(v);return v}
function df(a,b,c,d,e,f,g,k,h,l,n,m,p,r,B){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return $e(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:k,keyPath:h,formatContext:l,legacyContext:n,context:m,treeContext:p,componentStack:r,thenableState:b,isFallback:B};k.add(v);return v}
function Ye(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function ef(a,b){return{tag:0,parent:a.componentStack,type:b}}
function ff(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Se(b.type);break;case 1:a+=Ue(b.type,!1);break;case 2:a+=Ue(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function U(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function gf(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}function hf(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;ke={};le=b;me=a;ne=c;se=re=0;te=-1;ue=0;ve=g;for(a=d(e,f);qe;)qe=!1,se=re=0,te=-1,ue=0,xe+=1,T=null,a=d(e,f);Ce();return a}
function jf(a,b,c,d,e,f,g){var k=!1;if(0!==f&&null!==a.formState){var h=b.blockedSegment;if(null!==h){k=!0;h=h.chunks;for(var l=0;l<f;l++)l===g?h.push("\x3c!--F!--\x3e"):h.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Zd(c,1,0),X(a,b,d,-1),b.treeContext=c):k?X(a,b,d,-1):Z(a,b,d,-1);b.keyPath=f}
function kf(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){var g=e;if("ref"in e){g={};for(var k in e)"ref"!==k&&(g[k]=e[k])}var h=d.defaultProps;if(h){g===e&&(g=u({},g,e));for(var l in h)void 0===g[l]&&(g[l]=h[l])}e=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};h=nd;f=d.contextType;"object"===typeof f&&null!==f&&(h=f._currentValue2);h=new d(g,h);l=void 0!==h.state?h.state:null;h.updater=Xd;h.props=g;h.state=l;f={queue:[],replace:!1};
h._reactInternals=f;var n=d.contextType;h.context="object"===typeof n&&null!==n?n._currentValue2:nd;n=d.getDerivedStateFromProps;"function"===typeof n&&(n=n(g,l),l=null===n||void 0===n?l:u({},l,n),h.state=l);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(d=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&
h.UNSAFE_componentWillMount(),d!==h.state&&Xd.enqueueReplaceState(h,h.state,null),null!==f.queue&&0<f.queue.length)if(d=f.queue,n=f.replace,f.queue=null,f.replace=!1,n&&1===d.length)h.state=d[0];else{f=n?d[0]:h.state;l=!0;for(n=n?1:0;n<d.length;n++)k=d[n],k="function"===typeof k?k.call(h,f,g,void 0):k,null!=k&&(l?(l=!1,f=u({},f,k)):u(f,k));h.state=f}else f.queue=null;d=h.render();g=b.keyPath;b.keyPath=c;Z(a,b,d,-1);b.keyPath=g;b.componentStack=e}else g=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,
type:d},d=hf(a,b,c,d,e,void 0),jf(a,b,c,d,0!==re,se,te),b.componentStack=g;else if("string"===typeof d){g=b.componentStack;b.componentStack=ef(b,d);h=b.blockedSegment;if(null===h)h=e.children,f=b.formatContext,l=b.keyPath,b.formatContext=Yb(f,d,e),b.keyPath=c,X(a,b,h,-1),b.formatContext=f,b.keyPath=l;else{l=Cc(h.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,h.lastPushedText,b.isFallback);h.lastPushedText=!1;f=b.formatContext;n=b.keyPath;b.formatContext=Yb(f,d,e);b.keyPath=
c;X(a,b,l,-1);b.formatContext=f;b.keyPath=n;a:{c=h.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=f.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===f.insertionMode){a.hasHtml=!0;break a}}c.push(xc(d))}h.lastPushedText=!1}b.componentStack=g}else{switch(d){case Qa:case Oa:case na:case oa:case ma:d=
b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=d;return;case Pa:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Z(a,b,e.children,-1),b.keyPath=d);return;case Ea:d=b.componentStack;b.componentStack=ef(b,"SuspenseList");g=b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=g;b.componentStack=d;return;case Na:throw Error("ReactDOMServer does not yet support scope components.");case Da:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{X(a,b,c,-1)}finally{b.keyPath=d}}else{var m=b.componentStack;
d=b.componentStack=ef(b,"Suspense");var p=b.keyPath;f=b.blockedBoundary;var r=b.hoistableState,B=b.blockedSegment;l=e.fallback;var v=e.children;e=new Set;n=bf(a,e);null!==a.trackedPostpones&&(n.trackedContentKeyPath=c);k=Ye(a,B.chunks.length,n,b.formatContext,!1,!1);B.children.push(k);B.lastPushedText=!1;var x=Ye(a,0,null,b.formatContext,!1,!1);x.parentFlushed=!0;b.blockedBoundary=n;b.hoistableState=n.contentState;b.blockedSegment=x;b.keyPath=c;try{if(X(a,b,v,-1),a.renderState.generateStaticMarkup||
x.lastPushedText&&x.textEmbedded&&x.chunks.push("\x3c!-- --\x3e"),x.status=1,lf(n,x),0===n.pendingTasks&&0===n.status){n.status=1;b.componentStack=m;break a}}catch(w){x.status=4,n.status=4,g=ff(a,b.componentStack),"object"===typeof w&&null!==w&&w.$$typeof===cb?(a.onPostpone(w.message,g),h="POSTPONE"):h=U(a,w,g),n.errorDigest=h,mf(a,n)}finally{b.blockedBoundary=f,b.hoistableState=r,b.blockedSegment=B,b.keyPath=p,b.componentStack=m}g=[c[0],"Suspense Fallback",c[2]];h=a.trackedPostpones;null!==h&&(m=
[g[1],g[2],[],null],h.workingMap.set(g,m),5===n.status?h.workingMap.get(c)[4]=m:n.trackedFallbackNode=m);b=Ze(a,null,l,-1,f,k,n.fallbackState,e,g,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case Ca:g=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};if("ref"in e)for(n in h={},e)"ref"!==n&&(h[n]=e[n]);else h=e;d=hf(a,b,c,d.render,h,f);jf(a,b,c,d,0!==re,se,te);b.componentStack=
g;return;case Fa:kf(a,b,c,d.type,e,f);return;case za:case Ba:h=e.children;g=b.keyPath;e=e.value;f=d._currentValue2;d._currentValue2=e;l=od;od=d={parent:l,depth:null===l?0:l.depth+1,context:d,parentValue:f,value:e};b.context=d;b.keyPath=c;Z(a,b,h,-1);a=od;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue2=a.parentValue;a=od=a.parent;b.context=a;b.keyPath=g;return;case Aa:e=e.children;d=e(d._context._currentValue2);e=b.keyPath;
b.keyPath=c;Z(a,b,d,-1);b.keyPath=e;return;case Ma:g=b.componentStack;b.componentStack=ef(b,"Lazy");h=d._init;d=h(d._payload);kf(a,b,c,d,e,void 0);b.componentStack=g;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function nf(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,k=Ye(a,0,null,b.formatContext,!1,!1);k.id=c;k.parentFlushed=!0;try{b.replay=null,b.blockedSegment=k,X(a,b,d,e),k.status=1,null===g?a.completedRootSegment=k:(lf(g,k),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function Z(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)nf(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case fa:var e=c.type,f=c.key,g=c.props;c=g.ref;var k=void 0!==c?c:null;var h=md(e),l=null==f?-1===d?0:d:f;f=[b.keyPath,h,l];if(null!==b.replay)a:{var n=b.replay;d=n.nodes;for(c=0;c<d.length;c++){var m=d[c];if(l===m[1]){if(4===m.length){if(null!==h&&h!==m[0])throw Error("Expected the resume to render <"+m[0]+"> in this slot but instead it rendered <"+
h+">. The tree doesn't match so React will fallback to client rendering.");var p=m[2];h=m[3];l=b.node;b.replay={nodes:p,slots:h,pendingTasks:1};try{kf(a,b,f,e,g,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(z){if("object"===typeof z&&null!==z&&(z===de||"function"===typeof z.then))throw b.node===l&&(b.replay=n),z;
b.replay.pendingTasks--;g=ff(a,b.componentStack);of(a,b.blockedBoundary,z,g,p,h)}b.replay=n}else{if(e!==Da)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(md(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{e=void 0;k=m[5];n=m[2];h=m[3];l=null===m[4]?[]:m[4][2];m=null===m[4]?null:m[4][3];var r=b.componentStack,B=b.componentStack=ef(b,"Suspense"),v=b.keyPath,x=b.replay,w=b.blockedBoundary,q=b.hoistableState,E=
g.children;g=g.fallback;var D=new Set,t=bf(a,D);t.parentFlushed=!0;t.rootSegmentID=k;b.blockedBoundary=t;b.hoistableState=t.contentState;b.replay={nodes:n,slots:h,pendingTasks:1};try{X(a,b,E,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===t.pendingTasks&&0===t.status){t.status=1;a.completedBoundaries.push(t);break b}}catch(z){t.status=
4,p=ff(a,b.componentStack),"object"===typeof z&&null!==z&&z.$$typeof===cb?(a.onPostpone(z.message,p),e="POSTPONE"):e=U(a,z,p),t.errorDigest=e,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(t)}finally{b.blockedBoundary=w,b.hoistableState=q,b.replay=x,b.keyPath=v,b.componentStack=r}p=df(a,null,{nodes:l,slots:m,pendingTasks:0},g,-1,w,t.fallbackState,D,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,B,!0);a.pingedTasks.push(p)}}d.splice(c,1);break a}}}else kf(a,
b,f,e,g,k);return;case ha:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");case Ma:p=b.componentStack;b.componentStack=ef(b,"Lazy");g=c._init;c=g(c._payload);b.componentStack=p;Z(a,b,c,d);return}if(kb(c)){pf(a,b,c,d);return}null===c||"object"!==typeof c?p=null:(p=jb&&c[jb]||c["@@iterator"],p="function"===typeof p?p:null);if(p&&(p=p.call(c))){c=p.next();if(!c.done){g=[];do g.push(c.value),c=p.next();
while(!c.done);pf(a,b,g,d)}return}if("function"===typeof c.then)return b.thenableState=null,Z(a,b,Le(c),d);if(c.$$typeof===Ba)return Z(a,b,c._currentValue2,d);d=Object.prototype.toString.call(c);throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}if("string"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=kd(d.chunks,c,a.renderState,
d.lastPushedText));else if("number"===typeof c||"bigint"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=kd(d.chunks,""+c,a.renderState,d.lastPushedText))}}
function pf(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,k=0;k<g.length;k++){var h=g[k];if(h[1]===d){d=h[2];h=h[3];b.replay={nodes:d,slots:h,pendingTasks:1};try{pf(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(n){if("object"===typeof n&&
null!==n&&(n===de||"function"===typeof n.then))throw n;b.replay.pendingTasks--;c=ff(a,b.componentStack);of(a,b.blockedBoundary,n,c,d,h)}b.replay=f;g.splice(k,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(k=b.replay.slots,null!==k&&"object"===typeof k)){for(d=0;d<g;d++){h=c[d];b.treeContext=Zd(f,g,d);var l=k[d];"number"===typeof l?(nf(a,b,l,h,d),delete k[d]):X(a,b,h,d)}b.treeContext=f;b.keyPath=e;return}for(k=0;k<g;k++)d=c[k],b.treeContext=Zd(f,g,k),X(a,b,d,k);b.treeContext=
f;b.keyPath=e}
function qf(a,b,c,d){d.status=5;var e=c.keyPath,f=c.blockedBoundary;if(null===f)d.id=a.nextSegmentId++,b.rootSlots=d.id,null!==a.completedRootSegment&&(a.completedRootSegment.status=5);else{if(null!==f&&0===f.status){f.status=5;f.rootSegmentID=a.nextSegmentId++;var g=f.trackedContentKeyPath;if(null===g)throw Error("It should not be possible to postpone at the root. This is a bug in React.");var k=f.trackedFallbackNode,h=[];if(g===e&&-1===c.childIndex){-1===d.id&&(d.id=d.parentFlushed?f.rootSegmentID:
a.nextSegmentId++);d=[g[1],g[2],h,d.id,k,f.rootSegmentID];b.workingMap.set(g,d);rf(d,g[0],b);return}var l=b.workingMap.get(g);void 0===l?(l=[g[1],g[2],h,null,k,f.rootSegmentID],b.workingMap.set(g,l),rf(l,g[0],b)):(g=l,g[4]=k,g[5]=f.rootSegmentID)}-1===d.id&&(d.id=d.parentFlushed&&null!==f?f.rootSegmentID:a.nextSegmentId++);if(-1===c.childIndex)null===e?b.rootSlots=d.id:(c=b.workingMap.get(e),void 0===c?(c=[e[1],e[2],[],d.id],rf(c,e[0],b)):c[3]=d.id);else{if(null===e)if(a=b.rootSlots,null===a)a=b.rootSlots=
{};else{if("number"===typeof a)throw Error("It should not be possible to postpone both at the root of an element as well as a slot below. This is a bug in React.");}else if(f=b.workingMap,g=f.get(e),void 0===g)a={},g=[e[1],e[2],[],a],f.set(e,g),rf(g,e[0],b);else if(a=g[3],null===a)a=g[3]={};else if("number"===typeof a)throw Error("It should not be possible to postpone both at the root of an element as well as a slot below. This is a bug in React.");a[c.childIndex]=d.id}}}
function mf(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function X(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,k=b.keyPath,h=b.treeContext,l=b.componentStack,n=b.blockedSegment;if(null===n)try{return Z(a,b,c,d)}catch(r){if(Ce(),d=r===de?he():r,"object"===typeof d&&null!==d&&"function"===typeof d.then){c=d;d=Be();a=df(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=l;Wd(g);return}}else{var m=n.children.length,p=n.chunks.length;try{return Z(a,b,c,d)}catch(r){if(Ce(),n.children.length=m,n.chunks.length=p,d=r===de?he():r,"object"===typeof d&&null!==d){if("function"===typeof d.then){c=d;d=Be();n=b.blockedSegment;m=Ye(a,n.chunks.length,null,b.formatContext,n.lastPushedText,!0);n.children.push(m);n.lastPushedText=!1;a=Ze(a,d,b.node,b.childIndex,b.blockedBoundary,m,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=l;Wd(g);return}if(d.$$typeof===cb&&null!==a.trackedPostpones&&null!==b.blockedBoundary){c=a.trackedPostpones;n=ff(a,b.componentStack);a.onPostpone(d.message,n);d=b.blockedSegment;n=Ye(a,d.chunks.length,null,b.formatContext,d.lastPushedText,!0);d.children.push(n);
d.lastPushedText=!1;qf(a,c,b,n);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=l;Wd(g);return}}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;Wd(g);throw d;}function of(a,b,c,d,e,f){"object"===typeof c&&null!==c&&c.$$typeof===cb?(a.onPostpone(c.message,d),d="POSTPONE"):d=U(a,c,d);sf(a,b,e,f,c,d)}function tf(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,uf(this,b,a))}
function sf(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var k=c[g];if(4===k.length)sf(a,b,k[2],k[3],e,f);else{k=k[5];var h=a,l=f,n=bf(h,new Set);n.parentFlushed=!0;n.rootSegmentID=k;n.status=4;n.errorDigest=l;n.parentFlushed&&h.clientRenderedBoundaries.push(n)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var m in d)delete d[m]}}
function vf(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){"object"===typeof c&&null!==c&&c.$$typeof===cb?(a=Error("The render was aborted with postpone when the shell is incomplete. Reason: "+c.message),U(b,a,d),gf(b,a)):(U(b,c,d),gf(b,c));return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&("object"===typeof c&&null!==c&&c.$$typeof===cb?(b.onPostpone(c.message,d),d="POSTPONE"):d=U(b,c,d),
sf(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&wf(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=ff(b,a.componentStack),"object"===typeof c&&null!==c&&c.$$typeof===cb?(b.onPostpone(c.message,a),a="POSTPONE"):a=U(b,c,a),d.errorDigest=a,mf(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return vf(f,b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&xf(b)}
function yf(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),k=g.next();b:for(;0<e.remainingCapacity&&!k.done;k=g.next())for(var h=k.value.sheets.values(),l=h.next();0<e.remainingCapacity&&!l.done;l=h.next()){var n=l.value,m=n.props,p=m.href,r=n.props,B=Ec(r.href,"style",{crossOrigin:r.crossOrigin,integrity:r.integrity,
nonce:r.nonce,type:r.type,fetchPriority:r.fetchPriority,referrerPolicy:r.referrerPolicy,media:r.media});if(2<=(e.remainingCapacity-=B.length))c.resets.style[p]=C,f&&(f+=", "),f+=B,c.resets.style[p]="string"===typeof m.crossOrigin||"string"===typeof m.integrity?[m.crossOrigin,m.integrity]:C;else break b}}f?d({Link:f}):d({})}}}catch(v){U(a,v,{})}}function wf(a){null===a.trackedPostpones&&yf(a,!0);a.onShellError=We;a=a.onShellReady;a()}
function xf(a){yf(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function lf(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&lf(a,c)}else a.completedSegments.push(b)}
function uf(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&wf(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&lf(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(tf,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(lf(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&xf(a)}
function af(a){if(2!==a.status){var b=od,c=Jb.H;Jb.H=Pe;var d=Jb.C;Jb.C=Qe;var e=S;S=a;var f=Oe;Oe=a.resumableState;try{var g=a.pingedTasks,k;for(k=0;k<g.length;k++){var h=g[k],l=a,n=h.blockedSegment;if(null===n){var m=l;if(0!==h.replay.pendingTasks){Wd(h.context);try{Z(m,h,h.node,h.childIndex);if(1===h.replay.pendingTasks&&0<h.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");h.replay.pendingTasks--;
h.abortSet.delete(h);uf(m,h.blockedBoundary,null)}catch(G){Ce();var p=G===de?he():G;if("object"===typeof p&&null!==p&&"function"===typeof p.then){var r=h.ping;p.then(r,r);h.thenableState=Be()}else{h.replay.pendingTasks--;h.abortSet.delete(h);var B=ff(m,h.componentStack);of(m,h.blockedBoundary,p,B,h.replay.nodes,h.replay.slots);m.pendingRootTasks--;0===m.pendingRootTasks&&wf(m);m.allPendingTasks--;0===m.allPendingTasks&&xf(m)}}finally{}}}else a:{m=void 0;var v=n;if(0===v.status){Wd(h.context);var x=
v.children.length,w=v.chunks.length;try{Z(l,h,h.node,h.childIndex),l.renderState.generateStaticMarkup||v.lastPushedText&&v.textEmbedded&&v.chunks.push("\x3c!-- --\x3e"),h.abortSet.delete(h),v.status=1,uf(l,h.blockedBoundary,v)}catch(G){Ce();v.children.length=x;v.chunks.length=w;var q=G===de?he():G;if("object"===typeof q&&null!==q){if("function"===typeof q.then){var E=h.ping;q.then(E,E);h.thenableState=Be();break a}if(null!==l.trackedPostpones&&q.$$typeof===cb){var D=l.trackedPostpones;h.abortSet.delete(h);
var t=ff(l,h.componentStack);l.onPostpone(q.message,t);qf(l,D,h,v);uf(l,h.blockedBoundary,v);break a}}var z=ff(l,h.componentStack);h.abortSet.delete(h);v.status=4;var F=h.blockedBoundary;"object"===typeof q&&null!==q&&q.$$typeof===cb?(l.onPostpone(q.message,z),m="POSTPONE"):m=U(l,q,z);null===F?gf(l,q):(F.pendingTasks--,4!==F.status&&(F.status=4,F.errorDigest=m,mf(l,F),F.parentFlushed&&l.clientRenderedBoundaries.push(F)));l.allPendingTasks--;0===l.allPendingTasks&&xf(l)}finally{}}}}g.splice(0,k);null!==
a.destination&&zf(a,a.destination)}catch(G){U(a,G,{}),gf(a,G)}finally{Oe=f,Jb.H=c,Jb.C=d,c===Pe&&Wd(b),S=e}}}
function Af(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,b.push('<template id="'),b.push(a.placeholderPrefix),a=d.toString(16),b.push(a),b.push('"></template>');case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var k=0;k<c.length;k++){for(e=c[k];g<e.index;g++)b.push(f[g]);e=Bf(a,b,e,d)}for(;g<f.length-1;g++)b.push(f[g]);g<f.length&&(e=b.push(f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function Bf(a,b,c,d){var e=c.boundary;if(null===e)return Af(a,b,c,d);e.parentFlushed=!0;if(4===e.status)return a.renderState.generateStaticMarkup||(e=e.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),e&&(b.push(' data-dgst="'),e=A(e),b.push(e),b.push('"')),b.push("></template>")),Af(a,b,c,d),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==e.status)return 0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),Hc(b,
a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(hd,d),e.stylesheets.forEach(id,d)),Af(a,b,c,d),b.push("\x3c!--/$--\x3e");if(e.byteSize>a.progressiveChunkSize)return e.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(e),Hc(b,a.renderState,e.rootSegmentID),Af(a,b,c,d),b.push("\x3c!--/$--\x3e");d&&(c=e.contentState,c.styles.forEach(hd,d),c.stylesheets.forEach(id,d));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
Bf(a,b,c[0],d);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function Cf(a,b,c,d){Ic(b,a.renderState,c.parentFormatContext,c.id);Bf(a,b,c,d);return Jc(b,c.parentFormatContext)}
function Df(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)Ef(a,b,c,d[e]);d.length=0;Sc(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),Yc(b,c)):(b.push('" data-sty="'),$c(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return Gc(b,a)&&d}
function Ef(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return Cf(a,b,d,e)}if(f===c.rootSegmentID)return Cf(a,b,d,e);Cf(a,b,d,e);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);f=f.toString(16);b.push(f);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(f);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function zf(a,b){try{if(!(0<a.pendingRootTasks)){var c,d=a.completedRootSegment;if(null!==d){if(5===d.status)return;var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,k=f.src,h=f.chunks;g.scriptResources.hasOwnProperty(k)||(g.scriptResources[k]=null,e.scripts.add(h))}var l=e.htmlChunks,n=e.headChunks,m;if(l){for(m=0;m<l.length;m++)b.push(l[m]);if(n)for(m=0;m<n.length;m++)b.push(n[m]);else{var p=P("head");
b.push(p);b.push(">")}}else if(n)for(m=0;m<n.length;m++)b.push(n[m]);var r=e.charsetChunks;for(m=0;m<r.length;m++)b.push(r[m]);r.length=0;e.preconnects.forEach(R,b);e.preconnects.clear();var B=e.viewportChunks;for(m=0;m<B.length;m++)b.push(B[m]);B.length=0;e.fontPreloads.forEach(R,b);e.fontPreloads.clear();e.highImagePreloads.forEach(R,b);e.highImagePreloads.clear();e.styles.forEach(Vc,b);var v=e.importMapChunks;for(m=0;m<v.length;m++)b.push(v[m]);v.length=0;e.bootstrapScripts.forEach(R,b);e.scripts.forEach(R,
b);e.scripts.clear();e.bulkPreloads.forEach(R,b);e.bulkPreloads.clear();var x=e.hoistableChunks;for(m=0;m<x.length;m++)b.push(x[m]);x.length=0;if(l&&null===n){var w=xc("head");b.push(w)}Bf(a,b,d,null);a.completedRootSegment=null;Gc(b,a.renderState)}var q=a.renderState;d=0;var E=q.viewportChunks;for(d=0;d<E.length;d++)b.push(E[d]);E.length=0;q.preconnects.forEach(R,b);q.preconnects.clear();q.fontPreloads.forEach(R,b);q.fontPreloads.clear();q.highImagePreloads.forEach(R,b);q.highImagePreloads.clear();
q.styles.forEach(Xc,b);q.scripts.forEach(R,b);q.scripts.clear();q.bulkPreloads.forEach(R,b);q.bulkPreloads.clear();var D=q.hoistableChunks;for(d=0;d<D.length;d++)b.push(D[d]);D.length=0;var t=a.clientRenderedBoundaries;for(c=0;c<t.length;c++){var z=t[c];q=b;var F=a.resumableState,G=a.renderState,vb=z.rootSegmentID,pa=z.errorDigest,O=0===F.streamingFormat;O?(q.push(G.startInlineScript),0===(F.instructions&4)?(F.instructions|=4,q.push('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("')):
q.push('$RX("')):q.push('<template data-rxi="" data-bid="');q.push(G.boundaryPrefix);var Sa=vb.toString(16);q.push(Sa);O&&q.push('"');if(pa)if(O){q.push(",");var ia=Lc(pa||"");q.push(ia)}else{q.push('" data-dgst="');var qa=A(pa||"");q.push(qa)}var Q=O?q.push(")\x3c/script>"):q.push('"></template>');if(!Q){a.destination=null;c++;t.splice(0,c);return}}t.splice(0,c);var ra=a.completedBoundaries;for(c=0;c<ra.length;c++)if(!Df(a,b,ra[c])){a.destination=null;c++;ra.splice(0,c);return}ra.splice(0,c);var ca=
a.partialBoundaries;for(c=0;c<ca.length;c++){var Ga=ca[c];a:{t=a;z=b;var sa=Ga.completedSegments;for(Q=0;Q<sa.length;Q++)if(!Ef(t,z,Ga,sa[Q])){Q++;sa.splice(0,Q);var Ta=!1;break a}sa.splice(0,Q);Ta=Sc(z,Ga.contentState,t.renderState)}if(!Ta){a.destination=null;c++;ca.splice(0,c);return}}ca.splice(0,c);var ja=a.completedBoundaries;for(c=0;c<ja.length;c++)if(!Df(a,b,ja[c])){a.destination=null;c++;ja.splice(0,c);return}ja.splice(0,c)}}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&
0===a.completedBoundaries.length&&(a.flushScheduled=!1,null===a.trackedPostpones&&(c=a.resumableState,c.hasBody&&(ca=xc("body"),b.push(ca)),c.hasHtml&&(c=xc("html"),b.push(c))),b.push(null),a.destination=null)}}function Ff(a){a.flushScheduled=null!==a.destination;af(a);null===a.trackedPostpones&&yf(a,0===a.pendingRootTasks)}function ed(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?zf(a,b):a.flushScheduled=!1}}
function Gf(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{zf(a,b)}catch(c){U(a,c,{}),gf(a,c)}}}function Hf(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return vf(e,a,d)});c.clear()}null!==a.destination&&zf(a,a.destination)}catch(e){U(a,e,{}),gf(a,e)}}
function rf(a,b,c){if(null===b)c.rootNodes.push(a);else{var d=c.workingMap,e=d.get(b);void 0===e&&(e=[b[1],b[2],[],null],d.set(b,e),rf(e,b[0],c));e[2].push(a)}}function If(){}
function Jf(a,b,c,d){var e=!1,f=null,g="",k=!1;b=Wb(b?b.identifierPrefix:void 0,void 0);a=Xe(a,b,jd(b,c),Xb(),Infinity,If,void 0,function(){k=!0},void 0,void 0,void 0);Ff(a);Hf(a,d);Gf(a,{push:function(h){null!==h&&(g+=h);return!0},destroy:function(h){e=!0;f=h}});if(e&&f!==d)throw f;if(!k)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");return g}
function Kf(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var Lf=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}Kf(b,a);var c=b.prototype;c._destroy=function(d,e){Hf(this.request);e(d)};c._read=function(){this.startedFlowing&&Gf(this.request,this)};return b}(ea.Readable);function Mf(){}exports.renderToStaticMarkup=function(a,b){return Jf(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){var c=new Lf;b=Wb(b?b.identifierPrefix:void 0,void 0);var d=Xe(a,b,jd(b,!0),Xb(),Infinity,Mf,function(){c.startedFlowing=!0;Gf(d,c)},void 0,void 0,void 0);c.request=d;Ff(d);return c};exports.renderToString=function(a,b){return Jf(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="19.0.0-experimental-657428a9e-20240416";

//# sourceMappingURL=react-dom-server-legacy.node.production.min.js.map
